# Kong Portal Deploy (Insomnia Plugin)

[![Npm Version](https://img.shields.io/npm/v/insomnia-plugin-kong-portal.svg)](https://www.npmjs.com/package/insomnia-plugin-kong-portal)

This is a plugin for [Insomnia Designer](https://insomnia.rest) to add the ability to deploy
API specifications to Kong Portal.

## Installation

Install the `insomnia-plugin-kong-portal` plugin from Preferences > Plugins.

![](./assets/plugins.png)

## Usage

Once this plugin is installed, navigate to the homepage and click `...` to open the menu for a document.

If installed correctly, an option titled `Deploy to Portal` will appear.

![](./assets/dropdown.png)

Click on this button and enter your URL, workspace name and RBAC token in order to connect to Kong.

![](assets/connect.png)
